#! /usr/bin/env python
 
 
from __future__ import division
import glob
import subprocess
import os.path
import os


		
def get_mean_R2_burrows(file):
	with open(file, 'r') as INFILE:
		file_tail = tail(INFILE, window = 4).split("\n")
		try:
			mean_R2 = file_tail[0].split()[6]
			exp_R2_drift = file_tail[1].split()[8]
			Ne = file_tail[2].split(',')[1].split()[2]
			return("{}\t{}\t{}\t{}".format(file, mean_R2, exp_R2_drift, Ne))
		except IndexError:
			return("{}".format(file))


def clean_burrows(file):
	with open("temp", 'w') as OUTFILE:
		with open(file, "r") as INFILE:
			for line in INFILE:
				if line.startswith("Total number of loci to be used"):
					total_loci = int(line.strip().split()[8])
					for xx in range(5):
						INFILE.next()
					for xx in range (int((total_loci * (total_loci-1)) / 2 )):
						pair = INFILE.next().strip().split()
						OUTFILE.write("{}\t{}\t{}\t{}\n".format(pair[0].strip(","), pair[1], pair[5], pair[8]))
	os.rename("temp", file + ".c")

						










		
		




			
